OVH Community, votre nouvel espace communautaire.

Point 2016 : OVH mutualisé et composer


zigomario
26/04/2016, 10h49
Citation Envoyé par Ludo.H
Bonjour.

Composer n'est pas dans le PATH, c'est à vous de vous installer le votre

# cd

Cdt,

Merci beaucoup pour cette prompt réponse.
Même si la méthode me parait logique, j'avoue avoir hésité uniquement à cause de la préconisation ovh sur son tuto instal composer : "dossier racine".

Mais bon, si finalement c'est pas grave, alors let's go

am63
26/04/2016, 10h45
Citation Envoyé par zigomario
composer est juste inutilisable car bridé.
Ah bon ? je l'utilise sans problème depuis plusieurs semaines, y compris sur des hébergements ne donnant pas accès via SSH (dans ce cas, il faut passer par un script PHP pour lancer les commandes, ce n'est guère plus compliqué ni long).

Tout cela dépend de l'appréciation que l'on fait de "inutilisable".

Evidemment, il faut installer Composer (et faire soi-même les mises à jour ensuite).

Ludo.H
26/04/2016, 10h23
Bonjour.

Composer n'est pas dans le PATH, c'est à vous de vous installer le votre

# cd
# curl -sL https://getcomposer.org/download/1.0.2/composer.phar > composer.phar
# /usr/local/php/bin/php composer.phar update

Cela devrait faire l'affaire.

Cdt,

zigomario
26/04/2016, 10h18
Bonjour,

Je travail avec Laravel, et donc avec composer.
OVH à reconnu l'importance de composer et le propose dans une offre "ssh" :
https://www.ovh.com/fr/g1894.install...nts_mutualises

Mais d'après tout les forum rencontrés... composer est juste inutilisable car bridé. Ce qui pourrait alors expliqué mon problème suivant....

Mais j'ai un doute.... je me dis quand même quand 2016, OVH a du rectifier le tir... non ? donc j'ai sûrement mal compris comment utiliser composer.


Le problème est simple.
Comme en local, et comme préconisé par OVH, j'installe composer à la racine.
Puis je déploie mes divers projets laravels (www/projetlaravel1 ...etc )
Chaque projet contient son composer.json.

En local : je me positionne sur le dossier projet , je tape composer update => c'est réglée..
Sur serveur ovh => on me dit que composer n'existe pas

Si je passe sur le dossier racine...mais là c'est logique. On me dit que je n'ai pas de .json


Existe t'il une solution à ce problème ?


Merci par avance